/*
 *  mdebug.h v0.01
 *
 *  unistd.h emulation for DOS
 *
 *  Note: Not POSIX compliant, just emulates needed
 *        functionality.
 *
 *
 *  October 10/2000 - October 10/2000 - Bernard Martis
 *     E-mail: bernard.martis@usa.net
 */

#ifndef UNISTD__H
#define UNISTD__H


#include <io.h>         /* access */
#include <process.h>
#include <stdio.h>
#include <oscompat.h>   /* portability code */

#undef dirent
#undef DIR

#if !defined(__TURBOC__)
#  include <direct.h>
#else
#  include <dir.h>
#endif

#define dirent DIRENT_
#define DIR DIR_

/* defined for the access() function */
#define R_OK 04   /* Test for read permission. */
#define W_OK 02   /* Test for write permission. */
#define X_OK 01   /* Test for execute (search) permission. */
#define F_OK 00   /* Test for existence of file. */

/* defined for the getopt() function */
extern char *optarg;
extern int   optind, opterr, optopt;
int getopt(int argc, char *argv[], char *optstring);

#endif /* UNISTD__H */
